Name: warehouseopen
Version: 1.10.12.8
Release: alt1

Summary: Microinvest Warehouse Open
License: GPLv2
Group: Development/Other
Url: http://www.microinvest.net

Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
Source0: %name-%version.tar

Source1: %name.desktop
Source2: warehouseopen_l.png
Source3: warehouseopen_n.png
Source4: warehouseopen_m.png

# Automatically added by buildreq on Sat Mar 27 2010
BuildRequires: mono-wcf monodevelop mono-addins

%description
WarehouseOpen is a warehouse application

%prep
%setup

%build
cp -a `readlink -e /usr/lib/mono/mono-addins/Mono.Addins.dll` References/
cp -a `readlink -e /usr/lib/mono/2.0/Mono.Posix.dll` References/

mdtool build -c:Release -f:WarehouseOpen.sln

%install
mkdir -p %buildroot/%_libexecdir/%name/
mkdir -p %buildroot/%_datadir/%name/
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_liconsdir
mkdir -p %buildroot/%_niconsdir
mkdir -p %buildroot/%_miconsdir
mkdir -p %buildroot/%_desktopdir
cp -a bin/AnyCPU/Release/locale %buildroot/%_libexecdir/%name/
cp -a bin/AnyCPU/Release/{*.dll,*.exe,*.config} %buildroot/%_libexecdir/%name/
cp -a bin/AnyCPU/Release/Help %buildroot/%_datadir/%name/
install -p %SOURCE1 %buildroot/%_desktopdir
install -p %SOURCE2 %buildroot/%_liconsdir/%name.png
install -p %SOURCE3 %buildroot/%_niconsdir/%name.png
install -p %SOURCE4 %buildroot/%_miconsdir/%name.png

cat > %buildroot/%_bindir/%name << EOF
#! /bin/bash

mono /usr/lib/warehouseopen/WarehouseOpen.exe
EOF

chmod 755 %buildroot/%_bindir/%name

%files
%_bindir/%name
%_desktopdir/%name.desktop
%_liconsdir/%name.png
%_niconsdir/%name.png
%_miconsdir/%name.png
%_datadir/%name
%_libexecdir/%name

%changelog
* Mon Feb 14 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 1.10.12.8-alt1
- 1.10.12.8

* Tue May 18 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 1.10.5.15-alt1
- 1.10.5.15

* Sun Apr 11 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 1.10.2.9-alt1
- initial
